- (void) setDoubleValue:(double) value
{
    GtkAdjustment *adjustment = gtk_range_get_adjustment(gtk);
    gfloat new_value = value;

    if (adjustment->value != new_value)
	gtk_adjustment_set_value(adjustment, new_value);
}

- (double) doubleValue
{
    return gtk_range_get_adjustment(gtk)->value;
}
